
import { NodeWrapper } from './node_wrapper'

export class EventWrapper {

    static instanceFor(event){
        if(!event.$p){
            event.$p = new this(event)
        }
        return event.$p
    }
    
    constructor(event){
        this.event = event
    }

    get target(){
        return NodeWrapper.instanceFor(this.event.target)
    }

    stopPropagation(){
        this.event.stopPropagation()
    }

    preventDefault(){
        this.event.preventDefault()
    }

}
