
import { NodeWrapper } from '../node_wrapper'

export class Input extends NodeWrapper {

    static get name(){ return 'input' }
    
    static get selector(){ return 'input, textarea, .input' }

    get name(){
        return this.attributes.name
    }
    
    get value(){
        if(this.is('input[type="checkbox"], input[type="radio"]')){
            return this.is(':checked') ? this.node.value : undefined
        }
        return this.node.value
    }

}

Input.register()
